# Copyright 2020 Q-CTRL Pty Ltd & Q-CTRL Inc. All rights reserved.
#
# Licensed under the Q-CTRL Terms of service (the "License"). Unauthorized
# copying or use of this file, via any medium, is strictly prohibited.
# Proprietary and confidential. You may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
#     https://q-ctrl.com/terms
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS. See the
# License for the specific language.
"""Global settings for qctrl app.
"""
from werkzeug.local import LocalStack, LocalProxy

API_VERSION = "1"


def _find_app():
    top = _APP_CONTEXT_STACK.top
    if top is None:
        raise RuntimeError(_APP_CONTEXT_ERROR_MESSAGE)
    return top


_APP_CONTEXT_ERROR_MESSAGE = """\
Working outside of application context.

This typically means that you attempted to use functionality that needed
to interface with the current application object in some way. To solve
this, set up an instance of Qctrl before anything else.\
"""
_APP_CONTEXT_STACK = LocalStack()
CURRENT_APP = LocalProxy(_find_app)
