# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['qctrl', 'qctrl.builders', 'qctrl.dynamic', 'qctrl.static']

package_data = \
{'': ['*']}

install_requires = \
['Werkzeug>=0.15.4,<0.16.0',
 'click>=7.0,<8.0',
 'factory-boy>2',
 'gql>=0.4.0,<0.5.0',
 'gql_query_builder>=0.1.5,<0.2.0',
 'klass-registry>=2.2,<3.0',
 'numpy>=1.16.2',
 'pytest-xdist>=1.31.0,<2.0.0',
 'python-forge>=18.6.0,<19.0.0',
 'qctrl-api-client>=4.3.4,<5.0.0',
 'qctrl-commons>=2.4.0,<2.5.0',
 'requests>=2.23.0,<3.0.0',
 'sphinx-rtd-theme>=0.4.3,<0.5.0',
 'tenacity>=6.0.0,<7.0.0',
 'toml>=0.10.0,<0.11.0',
 'tqdm>=4.27.0']

extras_require = \
{':python_version >= "3.6" and python_version < "3.7"': ['dataclasses>=0.7,<0.8']}

entry_points = \
{'console_scripts': ['qctrl = qctrl.scripts:main']}

setup_kwargs = {
    'name': 'qctrl',
    'version': '7.0.1',
    'description': 'Q-CTRL Python Package',
    'long_description': None,
    'author': 'Q-CTRL',
    'author_email': 'support@q-ctrl.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/qctrl/python',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.6.4,<3.9',
}


setup(**setup_kwargs)
